#include "Animation.h"


Animation::Animation()
{
pause = false;
animationName="none";
animationId=0;
numOfFrames=0;
curentFrame = 0;
speed=0;
}
void Animation::loadFrames(SpriteList* sp)
{
	for(int i= 0; i <numOfFrames;i++ )
	{
		Frames[i].framesprite = sp->Find_Sprite_id2(spriteIds [i]);
	}

}


void Animation::pauseAnimation()
{
	pause = true;
}
void Animation::playAnimation()
{
	pause = false;

}

void Animation::animate()
{
	if(!pause)
	{	
		if(curentFrame+1<=numOfFrames)
		{
			curentFrame++;
			spriteObject = Frames[curentFrame].framesprite->spriteObject;
			
		}
		else
		{
			curentFrame = 0;
			spriteObject = Frames[curentFrame].framesprite->spriteObject;
		}

	}

}